Bug 245345 - gnome-screensaver fade in animation broken
Summary: gnome-screensaver fade in animation broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-screensaver   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 247485
TreeView+ depends on / blocked
 
Reported: 2007-06-22 15:27 UTC by jmccann
Modified: 2015-01-14 23:20 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0046
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 14:14:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0220 normal SHIPPED_LIVE gnome-screensaver bug fix update 2008-05-20 15:29:30 UTC

Description jmccann 2007-06-22 15:27:09 UTC
gnome-screensaver for RHEL5 gnome-screensaver-2.16.1-5.el5 isn't built with
libXxf86vm support.  Which means that we don't get to use the nice gamma fade
out lock warning.

From the standard RPM:
%ldd gnome-screensaver |grep xf86

If I simply rebuild the RPM from the SRPM it picks it up properly:
%ldd gnome-screensaver |grep xf86
       libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x05fa3000)
        libXxf86misc.so.1 => /usr/lib/libXxf86misc.so.1 (0x00110000)

Probably need to add?:
BuildRequires: libXxf86misc
BuildRequires: libXxf86vm

Comment 1 Ray Strode [halfline] 2007-06-22 15:41:59 UTC
BuildRequires: libXxf86misc-devel
BuildRequires: libXxf86vm-devel

actually.  Proposing for 5.2 and/or fast track.

Comment 2 jmccann 2007-07-09 15:38:34 UTC
Same problems with the package in Fedora 7 FWIW.

Comment 3 Ray Strode [halfline] 2007-07-09 15:54:40 UTC
okay let's clone this bug for Fedora 7, one sec.

Comment 4 Ray Strode [halfline] 2007-07-09 16:05:40 UTC
cloned as bug 247485

Comment 6 Ray Strode [halfline] 2007-12-21 20:34:58 UTC
should be fixed in gnome-screensaver-2.16.1.el5

marking MODIFIED for QA

Comment 10 errata-xmlrpc 2008-01-23 14:14:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0046.html



Note You need to log in before you can comment on or make changes to this bug.